/*
 * Copyright (c) 1993,1994,1995,1997,1998
 *      Texas A&M University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Texas A&M University
 *      and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE UNIVERSITY AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE UNIVERSITY OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * Developers:
 *     Russell Neeper, David K. Hess, Douglas Lee Schales, David R. Safford
 */

#define DELIMITERS " \t\n"

enum {
	T_ACCEPT		= 1,
	T_ATTACKICMP		= 2,
	T_BOTH			= 3,
	T_BRIDGE		= 4,
	T_BRIDGED		= 4, /* duplicate */
	T_BRIDGED_FILTERED	= 5,
	T_BRIDGED_FILTERED_IN	= 6,
	T_BRIDGED_FILTERED_OUT	= 7,
	T_CLASS			= 8,
	T_CLEAR			= 9,
	T_DISCARD		= 10,
	T_DISABLED		= 10, /* duplicate */
	T_FILTERS		= 11,
	T_FILTERED		= 11, /* duplicate */
	T_FILTERED_IN		= 12,
	T_FILTERED_OUT		= 13,
	T_FLAGS			= 14,
	T_FORWARD		= 15,
	T_FRAGICMP		= 16,
	T_HELP			= 17,
	T_HOST			= 18,
	T_INSIDE		= 19,
	T_INIT			= 20,
	T_INTERVAL		= 21,
	T_LOAD			= 22,
	T_LOGFACILITY		= 23,
	T_LOGMASK		= 24,
	T_MONITOR		= 25,
	T_MULTICAST		= 26,
	T_NETWORK		= 27,
	T_NONE			= 28,
	T_NONIP			= 29,
	T_OTHERIP		= 30,
	T_OUTSIDE		= 31,
	T_OVERRIDE		= 32,
	T_REJECT		= 33,
	T_REMOVE		= 34,
	T_SET			= 35,
	T_SHELL1		= 36,
	T_SHELL2		= 37,
	T_SHOW			= 38,
	T_START			= 39,
	T_STATS			= 40,
	T_STOP			= 41,
	T_SUSPECTOFF		= 42,
	T_TCPRESET		= 43,
	T_COMMENT		= 44,
	T_LISTENINTERFACE	= 45,
	T_MIRRORMODE		= 46,
	T_EXIT			= 47,
	T_UNKNOWN		= -1
};

int findtoken(char *);
void initialize_readline(void);
